Functions to properly handle HTTP responses.
| Name | Description |
|---|---|
| drupal_access_denied | Deliver a "access denied" error to the browser. |
| drupal_encode_path | Encodes a Drupal path for use in a URL. |
| drupal_get_destination | Prepare a 'destination' URL query parameter for use in combination with drupal_goto(). |
| drupal_get_query_array | Split an URL-encoded query string into an array. |
| drupal_get_query_parameters | Process a URL query parameter array to remove unwanted elements. |
| drupal_goto | Send the user to a different Drupal page. |
| drupal_http_build_query | Parse an array into a valid, rawurlencoded query string. |
| drupal_http_request | Perform an HTTP request. |
| drupal_not_found | Deliver a "page not found" error to the browser. |
| drupal_parse_url | Wrapper around parse_url() to parse a system URL string into an associative array, suitable for url(). |
| drupal_site_offline | Deliver a "site is under maintenance" message to the browser. |
drupal/